Page 1 of 1

SOLVED Epson XP-322

Posted: Thu Sep 13, 2018 10:56 am
by Dragonteeth
Hi,

First post and only vaguely finding my way around Linux beyond just using someone else’s system.

So I've got linux working, (Linux Mint 18.3 Cinnamon 3.6.6 64bit) but I cant get my printer working.

I'm not a complete noob, I do know that I need to install drivers but I'm struggling to achieve that.

http://support.epson.net/linux/en/iscan ... sion=1.0.4
Downloading the amd64 deb file gives an "Install.sh" which doesn't seem to do anything.

epson-inkjet-printer-escpr_1.6.28-1lsb3.2_amd64.deb
and
epson-printer-utility_1.0.2-1lsb3.2_amd64.deb
Both yield an error message about "Broken Dependencies".

Have I borked something in my install or what am I missing?

Re: Epson XP-322

Posted: Thu Sep 13, 2018 11:52 am
by administrollaattori
Dragonteeth wrote:
Thu Sep 13, 2018 10:56 am
Both yield an error message about "Broken Dependencies".
Have I borked something in my install or what am I missing?
Could you tell what are these "Broken Dependencies"?

Re: Epson XP-322

Posted: Fri Sep 14, 2018 4:40 am
by pdc_2
so Epson are showing a newer version

http://download.ebz.epson.net/dsc/du/02 ... 87bcbc72b3

so you need epson-inkjet-printer-escpr_1.6.29-1lsb3.2_amd64.deb for the printer driver; for 64bit Mint

I think the install.sh section refers to a scanner package; for the scanner? would that be so?

As you click to download epson-inkjet-printer-escpr_1.6.29-1lsb3.2_amd64.deb you should be asked to SAVE or OPEN the package; if you select OPEN, that should mean gdebi installer will install it for you ....... and the install of that should trigger registration with lpadmin so you can find a new icon in the PRINTERS folder

best to delete any existing icons for the 322; that you will find in your PRINTERS folder; before installing the above package; so you end up with only one

Re: Epson XP-322

Posted: Wed Sep 19, 2018 5:11 pm
by Dragonteeth
administrollaattori wrote:
Thu Sep 13, 2018 11:52 am
Could you tell what are these "Broken Dependencies"?
Thanks for your input, unfortunately I wasn't able to post attachments to begin with, but hopefully this'll make things a bit clearer.
Broken Dependencies.jpg
None of that means anything to me, but if someone can point me towards a guide or tutorial I'm reasonably able to follow instructions.

Re: Epson XP-322

Posted: Wed Sep 19, 2018 5:27 pm
by Dragonteeth
Thanks for your help.
pdc_2 wrote:
Fri Sep 14, 2018 4:40 am
so Epson are showing a newer version
How typical is that? Just when I think I've got a handle on it.
pdc_2 wrote:
Fri Sep 14, 2018 4:40 am
http://download.ebz.epson.net/dsc/du/02 ... 87bcbc72b3

so you need epson-inkjet-printer-escpr_1.6.29-1lsb3.2_amd64.deb for the printer driver; for 64bit Mint.
Yes, That's more or less what I thought too.
pdc_2 wrote:
Fri Sep 14, 2018 4:40 am
I think the install.sh section refers to a scanner package; for the scanner? would that be so?
I think so.
pdc_2 wrote:
Fri Sep 14, 2018 4:40 am
As you click to download epson-inkjet-printer-escpr_1.6.29-1lsb3.2_amd64.deb you should be asked to SAVE or OPEN the package; if you select OPEN, that should mean gdebi installer will install it for you ....... and the install of that should trigger registration with lpadmin so you can find a new icon in the PRINTERS folder
...and that's where it all falls apart, Thanks for your help though, see the "Broken Dependencies" message I finally managed to attach a screen-shot.
pdc_2 wrote:
Fri Sep 14, 2018 4:40 am
best to delete any existing icons for the 322; that you will find in your PRINTERS folder; before installing the above package; so you end up with only one
I don't think I've succeeded in generating "icons" because of not competing the install, but I'll keep an eye out for that as I go.

Re: Epson XP-322

Posted: Wed Sep 19, 2018 5:39 pm
by JerryF
Have you tried either suggestion from that warning about Broken dependencies? If not, run the following command from a Terminal window:

Code: Select all

sudo apt-get install -f

Re: Epson XP-322

Posted: Sat Sep 29, 2018 8:21 am
by favdb
Did you check that le LSB is correctly installed?
sudo apt install lsb

Re: Epson XP-322

Posted: Mon Dec 10, 2018 11:36 am
by Dragonteeth
JerryF wrote:
Wed Sep 19, 2018 5:39 pm
Have you tried either suggestion from that warning about Broken dependencies? If not, run the following command from a Terminal window:

Code: Select all

sudo apt-get install -f
I think this was the bit that fixed the issue, Thank you.